%global momorel 1
%global date 20090629
%global patchdate 20.03.09
%global qtver 4.5.1
%global kdever 4.2.91
%global kdelibsrel 1m

Summary: A graphical application to manage multiple email signatures
Name: ksig
Version: 1.1
Release: 0.%{date}.%{momorel}m%{?dist}
License: GPLv2+
URL: http://extragear.kde.org/
Group: Applications/Internet
Source0: %{name}-%{version}.tar.bz2
Patch0: %{name}-%{patchdate}-desktop.patch
Patch1: %{name}-%{patchdate}-docdir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: cmake
BuildPreReq: gettext

%description
KSig is a graphical tool for keeping track of many different email signatures.
The signatures themselves can be edited through KSig's graphical user 
interface. A command-line interface is then available for generating random 
or daily signatures from a list. The command-line interface makes a suitable 
plugin for generating signatures in external mail clients such as KMail.

%prep
%setup -q

%patch0 -p1 -b .desktop~
%patch1 -p1 -b .fix-docdir

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/32x32/apps/ksig.png %{buildroot}%{_datadir}/pixmaps/ksig.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING*
%{_kde4_bindir}/ksig
%{_kde4_datadir}/applications/kde4/ksig.desktop
%{_kde4_appsdir}/ksig
%{_kde4_docdir}/HTML/*/ksig
%{_kde4_iconsdir}/hicolor/*/*/*.png
%{_datadir}/locale/*/LC_MESSAGES/ksig.mo
%{_datadir}/pixmaps/ksig.png

%changelog
* Mon Jun 29 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-0.20090629.1m)
- update to 20090629 svn snapshot

* Fri Mar 20 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-0.20090320.1m)
- update to 20090320 svn snapshot
- update desktop.patch
- fix up documentation's directory
- remove merged cmake.patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1-0.20080516.3m)
- rebuild against rpm-4.6

* Fri May 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-0.20080516.2m)
- add DocPath to desktop file

* Fri May 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-0.20080516.1m)
- initial package for Momonga Linux
- import and modify Fedora's cmake.patch
